> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getdialed.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a variable set

> Fetch a single set (versions embedded). Cross-tenant access returns 404.



## OpenAPI

````yaml /openapi.json get /variables/{set_name}
openapi: 3.1.0
info:
  title: GetDialed Flows API
  version: 0.1.0
servers:
  - url: https://api.getdialed.ai/flows
    description: Production
security: []
paths:
  /variables/{set_name}:
    get:
      tags:
        - variables
      summary: Get a variable set
      description: Fetch a single set (versions embedded). Cross-tenant access returns 404.
      operationId: get_variable_set_variables__set_name__get
      parameters:
        - name: set_name
          in: path
          required: true
          schema:
            type: string
            title: Set Name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VariableSetResponse'
        '401':
          description: Missing or invalid authentication
          content:
            application/json:
              example:
                detail: Authentication required
        '404':
          description: >-
            No such variable set for this organization (cross-tenant access also
            returns 404)
          content:
            application/json:
              example:
                detail: Variable set not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    VariableSetResponse:
      properties:
        id:
          type: string
          title: Id
        org_id:
          type: string
          title: Org Id
        name:
          type: string
          title: Name
        keys:
          items:
            $ref: '#/components/schemas/VariableKeyResponse'
          type: array
          title: Keys
        versions:
          items:
            $ref: '#/components/schemas/VariableVersionResponse'
          type: array
          title: Versions
      type: object
      required:
        - id
        - org_id
        - name
        - keys
        - versions
      title: VariableSetResponse
      description: A set with its schema and all versions embedded (Phase 47 D-06).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VariableKeyResponse:
      properties:
        name:
          type: string
          title: Name
        type:
          type: string
          enum:
            - string
            - number
            - boolean
            - object
            - array
            - datetime
          title: Type
        default:
          anyOf:
            - {}
            - type: 'null'
          title: Default
      type: object
      required:
        - name
        - type
      title: VariableKeyResponse
    VariableVersionResponse:
      properties:
        name:
          type: string
          title: Name
        values:
          additionalProperties: true
          type: object
          title: Values
      type: object
      required:
        - name
        - values
      title: VariableVersionResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````